#ifndef SQLTABLENOTICEDELEGATE_H
#define SQLTABLENOTICEDELEGATE_H

#include <QStyledItemDelegate>

class SqlTableNoticeDelegate : public QStyledItemDelegate {
public:
  explicit SqlTableNoticeDelegate(QObject *parent = nullptr);

private:
  void refreshPainter(QPainter *painter, const QRect &rect,
                      const QColor &borderColor) const;

public:
  void paint(QPainter *painter, const QStyleOptionViewItem &option,
             const QModelIndex &index) const override;
};

#endif // SQLTABLENOTICEDELEGATE_H
